Compatibility [module](https://github.com/just-paja/pwf.js#modules) for jQuery and [pwf.js](https://github.com/just-paja/pwf.js). It grabs jQuery instance and moves it from global scope into pwf container. Useful when creating some site with multiple jQuery versions. It also introduces few shortcut methods for jquery elements.

This module for domready event before status is set to ready.

# Requirements
* [pwf.js](https://github.com/just-paja/pwf.js)
 
# Installation
```bower install pwf-jquery-compat```

```html
<!DOCTYPE html>
<html>
  <head>
    <script type="text/javascript" src="bower/jquery/libs/jquery.js">
    <script type="text/javascript" src="bower/pwf.js/libs/pwf.js">
    <script type="text/javascript" src="bower/pwf-jquery-compat/libs/jquery-compat.js">
    <script type="text/javascript">
      pwf.wi(['jquery'], function() {
        alert('document is ready');
      });
    </script>
  </head>
</html>
```

# Methods

#### jQuery.div(cname)
Create instance of jQuery with div inside. The div will have class equal to ```cname```.

#### jQuery.span(cname)
Same as [#div](#jquerydivcname), but creates span.

#### jQuery.fn.create_divs(list_els, prefix)
Creates a div for each str in ```list_els``` with class equal to the str. Then appends it to element and creates reference to it. If ```prefix``` is passed, all the classes will be prefixed.

For example:
```javascript
var body = pwf.jquery('body').create_divs(['foo', 'bar'], 'zip');

body.foo.css('opacity', .5);
body.bar.hide();
```
Creates div.zip-foo and div.zip-bar inside body.

#### jQuery.fn.is_attached()
Checks if this element is attached to document. Returns bool.
